# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Manual_FFXIV_Silasary Template

game: Manual_FFXIV_Silasary
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Manual_FFXIV_Silasary: 0.26.0 # Version of the world required for this yaml to work as expected.

Manual_FFXIV_Silasary:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  mcguffins_needed:
    # Number of Distant Memories needed to win the game.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 50
    30: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-50: 0 # random value between 1 and 50

  duty_difficulty:
    # Maximum difficulty of the duty content.
    # [normal] Dungeons, trials, normal raids, and alliance raids are included in the location pool.
    # [extreme] As above, but extreme trials are included in the location pool.
    # [savage] As above, but old savage raids are included in the location pool.
    # [endgame] As above, but the current savage tier is included in the location pool.
    no_duties: 0
    normal: 50
    extreme: 0
    savage: 0
    endgame: 0

  max_party_size:
    # Maximum party size for duty content.
    # 
    # This does not stop you from entering undersized, but simply prevents duties that would expect more players from being in the location pool.
    solo: 0
    light_party: 0
    full_party: 50
    alliance: 0

  include_dungeons:
    # Dungeons are generally longer than other locations. You may want to exclude them in a sync.
    'false': 0
    'true': 50

  allow_main_scenario_duties:
    # Include Castrum Meridianum, Praetorium, and The Porta Decumana in the location pool.
    # These duties are long and contain unskippable cutscenes.
    'false': 0
    'true': 50

  extra_dungeon_checks:
    # Number of checks per dungeon to include in the location pool.
    # 
    # Each dungeon has a base of 1 check.  This option adds additional checks to each dungeon.
    # 
    # These can be sent when you open chests, defeat minibosses, or just all at the end.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-10: 0 # random value between 0 and 10

  include_ocean_fishing:
    # Ocean Fishing departs once every two real-world hours on a specified route.
    # There are six total routes, four in Eorzea, two in the East.  They do not loop evenly, you may see duplicates before you see all six.
    # This means it will take at least 12 hours to complete all the relevant checks.
    # This option is absolutely not sync-viable.
    'false': 50
    'true': 0

  include_pvp:
    # Include PvP duties in the location pool.
    'false': 50
    'true': 0

  dungeon_count:
    # Number of Dungeons per expansion to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 31
    31: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-31: 0 # random value between 0 and 31

  variant_dungeon_count:
    # Number of Variant Dungeons per expansion to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 3
    3: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-3: 0 # random value between 0 and 3

  trial_count:
    # Number of Trials per expansion to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 18
    18: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-18: 0 # random value between 0 and 18

  extreme_trial_count:
    # Number of Extreme Trials per expansion to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 8
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-8: 0 # random value between 0 and 8

  endgame_trial_count:
    # Number of Current Extreme Trials to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 8
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-8: 0 # random value between 0 and 8

  alliance_raid_count:
    # Number of Alliance Raids per expansion to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 3
    3: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-3: 0 # random value between 0 and 3

  normal_raid_count:
    # Number of Normal Raids per expansion to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 12
    12: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-12: 0 # random value between 0 and 12

  savage_raid_count:
    # Number of Savage Raids per expansion to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 17
    17: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-17: 0 # random value between 0 and 17

  endgame_raid_count:
    # Number of Endgame Savage Raids to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 12
    12: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-12: 0 # random value between 0 and 12

  ultimate_count:
    # Number of Ultimate Raids to include in the location pool
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-10: 0 # random value between 0 and 10

  fatesanity:
    # Include individual FATEs in the location pool.
    # 
    # If enabled, each named FATE is a check.  If disabled, you only need to complete 5 FATEs of your choice per zone.
    'false': 50
    'true': 0

  include_unreasonable_fates:
    # Include World Bosses and other FATEs that are not reasonable to complete.
    # 
    # These fates often spawn once every 2-3 days, don't show up on the map, and can require a large number of players to defeat.
    # If you use this option, keep an eye on Faloop (or your DC's equivalent) to know when they're up.
    'false': 50
    'true': 0

  fates_per_zone:
    # Number of FATEs required per zone.  Does not apply if Fatesanity is enabled.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-10: 0 # random value between 0 and 10

  fishsanity:
    # Include individual fish in the location pool.
    # 
    # Each tier of fish includes the previous tiers.  For example, if you select "timed fish", you will also get "normal fish".
    # Big fish includes things like the "Ruby Dragon" and "Python Discus", which can be unavailable for weeks at a time.
    disabled: 50
    normal_fish: 0
    timed_fish: 0
    big_fish: 0

  force_jobs:
    # Choose which classes are progression.
    # 
    # If none are selected, five (one tank, one healer, one melee, one phys range, one caster) are chosen at random.
    []

  level_cap:
    # Maximum level of the player.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 10
    # Maximum value is 100
    100: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-10-100: 0 # random value between 10 and 100

  goal:
    # Choose your victory condition.
    collect memories: 50
    defeat shinryu: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  include_guildhests:
    # Should items/locations linked to this option be enabled?
    'false': 0
    'true': 50

  include_bozja:
    # Should items/locations linked to this option be enabled?
    'false': 0
    'true': 50

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
